;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;MODELO DE CONTAGIO DEL CRIMEN EN LA ZMVM;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;ELABORADO POR: CORZO TELLEZ JAVIER ALEJANDRO;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; CONTACTO: a.corzo.t@gmail.com  ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;DEFINICIóN DE CARACTERíSTICAS DE LOS AGENTES ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

extensions [ gis ]
globals [ ZMVM DF average-income ]
breed [people-with-means person-with-means]
breed [people-without-means person-without-means]
people-with-means-own [  mun house-x house-y criminalized p-to-crime wealth emp-in-ec-cent employment men urban-margination economic-success single-parent anomie transformed? transformed ]
people-without-means-own [  mun house-x house-y criminalized p-to-crime wealth single-parent men informality-employment num-of-crimes unemployment anomie coef-GINI urban-margination economic-success influenced transformed ]
patches-own [ Entidad economic-center cvmun Cen-Per hotspot coldspot Y-Prom Gini %Male %HJF %GMMA %GMA %GMM %GMB %GMMB TDesocMun Urban-Density ]


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;INCIALIZACIóN DEL MODELO;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;En esta sección se carga el GIS, se posicionan los agentes,;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;se le dan valores a las características a los agentes;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;se calcula una probabilidad de delinquir;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

to setup
    __clear-all-and-reset-ticks
  ;Aquí se carga el GIS
  set ZMVM gis:load-dataset "data/ZMVM.shp"
  set DF gis:load-dataset "data/DF.shp"
  gis:set-world-envelope (gis:envelope-union-of (gis:envelope-of ZMVM) (gis:envelope-of DF))
  gis:set-drawing-color Grey   gis:draw ZMVM 1.5
  gis:set-drawing-color Magenta   gis:draw DF 3
  foreach gis:feature-list-of ZMVM [     ask patches gis:intersecting ? [       set cvmun gis:property-value ? "concat"     ]]
  foreach gis:feature-list-of ZMVM [     ask patches gis:intersecting ? [       set Cen-Per gis:property-value ? "cp"       ]]
  let bj gis:find-one-feature ZMVM "concat" "09014"  gis:set-drawing-color 50  gis:draw bj 2
  let cua gis:find-one-feature ZMVM "concat" "09015" gis:set-drawing-color 50  gis:draw cua 2
  let mh gis:find-one-feature ZMVM "concat" "09016"  gis:set-drawing-color 50  gis:draw mh 2
  let coy gis:find-one-feature ZMVM "concat" "09003" gis:set-drawing-color 50  gis:draw coy 2
  foreach gis:feature-list-of ZMVM [    ask patches gis:intersecting ? [       set Entidad gis:property-value ? "NOM_MUN"   ]]
  foreach gis:feature-list-of ZMVM [    ask patches gis:intersecting ? [       set Y-Prom gis:property-value ? "YProm"      ]]
  foreach gis:feature-list-of ZMVM [    ask patches gis:intersecting ? [       set Gini gis:property-value ? "GINI"         ]]
  foreach gis:feature-list-of ZMVM [    ask patches gis:intersecting ? [       set %Male gis:property-value ? "PorH"        ]]
  foreach gis:feature-list-of ZMVM [    ask patches gis:intersecting ? [       set %HJF gis:property-value ? "PorHogJef"    ]]
  foreach gis:feature-list-of ZMVM [    ask patches gis:intersecting ? [       set %GMMA gis:property-value ? "PorGMMA"     ]]
  foreach gis:feature-list-of ZMVM [    ask patches gis:intersecting ? [       set %GMA gis:property-value ? "PorGMA"       ]]
  foreach gis:feature-list-of ZMVM [    ask patches gis:intersecting ? [       set %GMM gis:property-value ? "PorGMM"       ]]
  foreach gis:feature-list-of ZMVM [    ask patches gis:intersecting ? [       set %GMB gis:property-value ? "PorGMB"       ]]
  foreach gis:feature-list-of ZMVM [    ask patches gis:intersecting ? [       set %GMMB gis:property-value ? "PorGMMB"     ]]
  foreach gis:feature-list-of ZMVM [    ask patches gis:intersecting ? [       set TDesocMun gis:property-value ? "TDesoc"  ]]
  foreach gis:feature-list-of ZMVM [    ask patches gis:intersecting ? [       set Urban-Density gis:property-value ? "DU_1"]]
  ask patches [ set coldspot random 10000  if cen-per = 0 [ set coldspot 0] ]      repeat 4 [ diffuse coldspot 1 ]
  ask patches [ set pcolor white      set hotspot 0     ifelse Cen-Per = 2 [set economic-center  true ] [set economic-center  false ] set urban-density (urban-density + (urban-density * Variación-de-Personas / 100)) ]
  ;Aquí se crean las personas
  set-default-shape People-With-Means "person"
  set-default-shape People-Without-Means "person"
     let M09002 41 + ( 41  * Variación-de-Personas / 100)       let aM09002  M09002 * Personas-Sin-Medios / 100       create-people-with-means M09002 - aM09002  [set mun "09002" ]        create-people-without-means  aM09002  [set mun "09002"]      ask turtles with [ mun =  "09002" ] [ move-to one-of patches with [ cvmun = "09002"  ] ]
     let M09003 62 + ( 62  * Variación-de-Personas / 100)       let aM09003  M09003 * Personas-Sin-Medios / 100       create-people-with-means M09003 - aM09003  [set mun "09003" ]        create-people-without-means  aM09003  [set mun "09003"]      ask turtles with [ mun =  "09003" ] [ move-to one-of patches with [ cvmun = "09003"  ] ]
     let M09004 18 + ( 18  * Variación-de-Personas / 100)       let aM09004  M09004 * Personas-Sin-Medios / 100       create-people-with-means M09004 - aM09004  [set mun "09004" ]        create-people-without-means  aM09004  [set mun "09004"]      ask turtles with [ mun =  "09004" ] [ move-to one-of patches with [ cvmun = "09004"  ] ]
     let M09005 118 + ( 118  * Variación-de-Personas / 100)       let aM09005  M09005 * Personas-Sin-Medios / 100       create-people-with-means M09005 - aM09005  [set mun "09005" ]        create-people-without-means  aM09005  [set mun "09005"]      ask turtles with [ mun =  "09005" ] [ move-to one-of patches with [ cvmun = "09005"  ] ]
     let M09006 38 + ( 38  * Variación-de-Personas / 100)       let aM09006  M09006 * Personas-Sin-Medios / 100       create-people-with-means M09006 - aM09006  [set mun "09006" ]        create-people-without-means  aM09006  [set mun "09006"]      ask turtles with [ mun =  "09006" ] [ move-to one-of patches with [ cvmun = "09006"  ] ]
     let M09007 181 + ( 181  * Variación-de-Personas / 100)       let aM09007  M09007 * Personas-Sin-Medios / 100       create-people-with-means M09007 - aM09007  [set mun "09007" ]        create-people-without-means  aM09007  [set mun "09007"]      ask turtles with [ mun =  "09007" ] [ move-to one-of patches with [ cvmun = "09007"  ] ]
     let M09008 23 + ( 23  * Variación-de-Personas / 100)       let aM09008  M09008 * Personas-Sin-Medios / 100       create-people-with-means M09008 - aM09008  [set mun "09008" ]        create-people-without-means  aM09008  [set mun "09008"]      ask turtles with [ mun =  "09008" ] [ move-to one-of patches with [ cvmun = "09008"  ] ]
     let M09009 13 + ( 13  * Variación-de-Personas / 100)       let aM09009  M09009 * Personas-Sin-Medios / 100       create-people-with-means M09009 - aM09009  [set mun "09009" ]        create-people-without-means  aM09009  [set mun "09009"]      ask turtles with [ mun =  "09009" ] [ move-to one-of patches with [ cvmun = "09009"  ] ]
     let M09010 72 + ( 72  * Variación-de-Personas / 100)       let aM09010  M09010 * Personas-Sin-Medios / 100       create-people-with-means M09010 - aM09010  [set mun "09010" ]        create-people-without-means  aM09010  [set mun "09010"]      ask turtles with [ mun =  "09010" ] [ move-to one-of patches with [ cvmun = "09010"  ] ]
     let M09011 36 + ( 36  * Variación-de-Personas / 100)       let aM09011  M09011 * Personas-Sin-Medios / 100       create-people-with-means M09011 - aM09011  [set mun "09011" ]        create-people-without-means  aM09011  [set mun "09011"]      ask turtles with [ mun =  "09011" ] [ move-to one-of patches with [ cvmun = "09011"  ] ]
     let M09012 65 + ( 65  * Variación-de-Personas / 100)       let aM09012  M09012 * Personas-Sin-Medios / 100       create-people-with-means M09012 - aM09012  [set mun "09012" ]        create-people-without-means  aM09012  [set mun "09012"]      ask turtles with [ mun =  "09012" ] [ move-to one-of patches with [ cvmun = "09012"  ] ]
     let M09013 41 + ( 41  * Variación-de-Personas / 100)       let aM09013  M09013 * Personas-Sin-Medios / 100       create-people-with-means M09013 - aM09013  [set mun "09013" ]        create-people-without-means  aM09013  [set mun "09013"]      ask turtles with [ mun =  "09013" ] [ move-to one-of patches with [ cvmun = "09013"  ] ]
     let M09014 38 + ( 38  * Variación-de-Personas / 100)       let aM09014  M09014 * Personas-Sin-Medios / 100       create-people-with-means M09014 - aM09014  [set mun "09014" ]        create-people-without-means  aM09014  [set mun "09014"]      ask turtles with [ mun =  "09014" ] [ move-to one-of patches with [ cvmun = "09014"  ] ]
     let M09015 53 + ( 53  * Variación-de-Personas / 100)       let aM09015  M09015 * Personas-Sin-Medios / 100       create-people-with-means M09015 - aM09015  [set mun "09015" ]        create-people-without-means  aM09015  [set mun "09015"]      ask turtles with [ mun =  "09015" ] [ move-to one-of patches with [ cvmun = "09015"  ] ]
     let M09016 37 + ( 37  * Variación-de-Personas / 100)       let aM09016  M09016 * Personas-Sin-Medios / 100       create-people-with-means M09016 - aM09016  [set mun "09016" ]        create-people-without-means  aM09016  [set mun "09016"]      ask turtles with [ mun =  "09016" ] [ move-to one-of patches with [ cvmun = "09016"  ] ]
     let M09017 43 + ( 43  * Variación-de-Personas / 100)       let aM09017  M09017 * Personas-Sin-Medios / 100       create-people-with-means M09017 - aM09017  [set mun "09017" ]        create-people-without-means  aM09017  [set mun "09017"]      ask turtles with [ mun =  "09017" ] [ move-to one-of patches with [ cvmun = "09017"  ] ]
     let M13069 9 + ( 9  * Variación-de-Personas / 100)       let aM13069  M13069 * Personas-Sin-Medios / 100       create-people-with-means M13069 - aM13069  [set mun "13069" ]        create-people-without-means  aM13069  [set mun "13069"]      ask turtles with [ mun =  "13069" ] [ move-to one-of patches with [ cvmun = "13069"  ] ]
     let M15002 13 + ( 13  * Variación-de-Personas / 100)       let aM15002  M15002 * Personas-Sin-Medios / 100       create-people-with-means M15002 - aM15002  [set mun "15002" ]        create-people-without-means  aM15002  [set mun "15002"]      ask turtles with [ mun =  "15002" ] [ move-to one-of patches with [ cvmun = "15002"  ] ]
     let M15009 4 + ( 4  * Variación-de-Personas / 100)       let aM15009  M15009 * Personas-Sin-Medios / 100       create-people-with-means M15009 - aM15009  [set mun "15009" ]        create-people-without-means  aM15009  [set mun "15009"]      ask turtles with [ mun =  "15009" ] [ move-to one-of patches with [ cvmun = "15009"  ] ]
     let M15010 2 + ( 2  * Variación-de-Personas / 100)       let aM15010  M15010 * Personas-Sin-Medios / 100       create-people-with-means M15010 - aM15010  [set mun "15010" ]        create-people-without-means  aM15010  [set mun "15010"]      ask turtles with [ mun =  "15010" ] [ move-to one-of patches with [ cvmun = "15010"  ] ]
     let M15011 5 + ( 5  * Variación-de-Personas / 100)       let aM15011  M15011 * Personas-Sin-Medios / 100       create-people-with-means M15011 - aM15011  [set mun "15011" ]        create-people-without-means  aM15011  [set mun "15011"]      ask turtles with [ mun =  "15011" ] [ move-to one-of patches with [ cvmun = "15011"  ] ]
     let M15013 48 + ( 48  * Variación-de-Personas / 100)       let aM15013  M15013 * Personas-Sin-Medios / 100       create-people-with-means M15013 - aM15013  [set mun "15013" ]        create-people-without-means  aM15013  [set mun "15013"]      ask turtles with [ mun =  "15013" ] [ move-to one-of patches with [ cvmun = "15013"  ] ]
     let M15015 2 + ( 2  * Variación-de-Personas / 100)       let aM15015  M15015 * Personas-Sin-Medios / 100       create-people-with-means M15015 - aM15015  [set mun "15015" ]        create-people-without-means  aM15015  [set mun "15015"]      ask turtles with [ mun =  "15015" ] [ move-to one-of patches with [ cvmun = "15015"  ] ]
     let M15016 2 + ( 2  * Variación-de-Personas / 100)       let aM15016  M15016 * Personas-Sin-Medios / 100       create-people-with-means M15016 - aM15016  [set mun "15016" ]        create-people-without-means  aM15016  [set mun "15016"]      ask turtles with [ mun =  "15016" ] [ move-to one-of patches with [ cvmun = "15016"  ] ]
     let M15017 0 + ( 0  * Variación-de-Personas / 100)       let aM15017  M15017 * Personas-Sin-Medios / 100       create-people-with-means M15017 - aM15017  [set mun "15017" ]        create-people-without-means  aM15017  [set mun "15017"]      ask turtles with [ mun =  "15017" ] [ move-to one-of patches with [ cvmun = "15017"  ] ]
     let M15020 27 + ( 27  * Variación-de-Personas / 100)       let aM15020  M15020 * Personas-Sin-Medios / 100       create-people-with-means M15020 - aM15020  [set mun "15020" ]        create-people-without-means  aM15020  [set mun "15020"]      ask turtles with [ mun =  "15020" ] [ move-to one-of patches with [ cvmun = "15020"  ] ]
     let M15022 1 + ( 1  * Variación-de-Personas / 100)       let aM15022  M15022 * Personas-Sin-Medios / 100       create-people-with-means M15022 - aM15022  [set mun "15022" ]        create-people-without-means  aM15022  [set mun "15022"]      ask turtles with [ mun =  "15022" ] [ move-to one-of patches with [ cvmun = "15022"  ] ]
     let M15023 3 + ( 3  * Variación-de-Personas / 100)       let aM15023  M15023 * Personas-Sin-Medios / 100       create-people-with-means M15023 - aM15023  [set mun "15023" ]        create-people-without-means  aM15023  [set mun "15023"]      ask turtles with [ mun =  "15023" ] [ move-to one-of patches with [ cvmun = "15023"  ] ]
     let M15024 14 + ( 14  * Variación-de-Personas / 100)       let aM15024  M15024 * Personas-Sin-Medios / 100       create-people-with-means M15024 - aM15024  [set mun "15024" ]        create-people-without-means  aM15024  [set mun "15024"]      ask turtles with [ mun =  "15024" ] [ move-to one-of patches with [ cvmun = "15024"  ] ]
     let M15025 31 + ( 31  * Variación-de-Personas / 100)       let aM15025  M15025 * Personas-Sin-Medios / 100       create-people-with-means M15025 - aM15025  [set mun "15025" ]        create-people-without-means  aM15025  [set mun "15025"]      ask turtles with [ mun =  "15025" ] [ move-to one-of patches with [ cvmun = "15025"  ] ]
     let M15028 2 + ( 2  * Variación-de-Personas / 100)       let aM15028  M15028 * Personas-Sin-Medios / 100       create-people-with-means M15028 - aM15028  [set mun "15028" ]        create-people-without-means  aM15028  [set mun "15028"]      ask turtles with [ mun =  "15028" ] [ move-to one-of patches with [ cvmun = "15028"  ] ]
     let M15029 17 + ( 17  * Variación-de-Personas / 100)       let aM15029  M15029 * Personas-Sin-Medios / 100       create-people-with-means M15029 - aM15029  [set mun "15029" ]        create-people-without-means  aM15029  [set mun "15029"]      ask turtles with [ mun =  "15029" ] [ move-to one-of patches with [ cvmun = "15029"  ] ]
     let M15030 2 + ( 2  * Variación-de-Personas / 100)       let aM15030  M15030 * Personas-Sin-Medios / 100       create-people-with-means M15030 - aM15030  [set mun "15030" ]        create-people-without-means  aM15030  [set mun "15030"]      ask turtles with [ mun =  "15030" ] [ move-to one-of patches with [ cvmun = "15030"  ] ]
     let M15031 61 + ( 61  * Variación-de-Personas / 100)       let aM15031  M15031 * Personas-Sin-Medios / 100       create-people-with-means M15031 - aM15031  [set mun "15031" ]        create-people-without-means  aM15031  [set mun "15031"]      ask turtles with [ mun =  "15031" ] [ move-to one-of patches with [ cvmun = "15031"  ] ]
     let M15033 165 + ( 165  * Variación-de-Personas / 100)       let aM15033  M15033 * Personas-Sin-Medios / 100       create-people-with-means M15033 - aM15033  [set mun "15033" ]        create-people-without-means  aM15033  [set mun "15033"]      ask turtles with [ mun =  "15033" ] [ move-to one-of patches with [ cvmun = "15033"  ] ]
     let M15034 0 + ( 0  * Variación-de-Personas / 100)       let aM15034  M15034 * Personas-Sin-Medios / 100       create-people-with-means M15034 - aM15034  [set mun "15034" ]        create-people-without-means  aM15034  [set mun "15034"]      ask turtles with [ mun =  "15034" ] [ move-to one-of patches with [ cvmun = "15034"  ] ]
     let M15035 10 + ( 10  * Variación-de-Personas / 100)       let aM15035  M15035 * Personas-Sin-Medios / 100       create-people-with-means M15035 - aM15035  [set mun "15035" ]        create-people-without-means  aM15035  [set mun "15035"]      ask turtles with [ mun =  "15035" ] [ move-to one-of patches with [ cvmun = "15035"  ] ]
     let M15036 3 + ( 3  * Variación-de-Personas / 100)       let aM15036  M15036 * Personas-Sin-Medios / 100       create-people-with-means M15036 - aM15036  [set mun "15036" ]        create-people-without-means  aM15036  [set mun "15036"]      ask turtles with [ mun =  "15036" ] [ move-to one-of patches with [ cvmun = "15036"  ] ]
     let M15037 24 + ( 24  * Variación-de-Personas / 100)       let aM15037  M15037 * Personas-Sin-Medios / 100       create-people-with-means M15037 - aM15037  [set mun "15037" ]        create-people-without-means  aM15037  [set mun "15037"]      ask turtles with [ mun =  "15037" ] [ move-to one-of patches with [ cvmun = "15037"  ] ]
     let M15038 1 + ( 1  * Variación-de-Personas / 100)       let aM15038  M15038 * Personas-Sin-Medios / 100       create-people-with-means M15038 - aM15038  [set mun "15038" ]        create-people-without-means  aM15038  [set mun "15038"]      ask turtles with [ mun =  "15038" ] [ move-to one-of patches with [ cvmun = "15038"  ] ]
     let M15039 46 + ( 46  * Variación-de-Personas / 100)       let aM15039  M15039 * Personas-Sin-Medios / 100       create-people-with-means M15039 - aM15039  [set mun "15039" ]        create-people-without-means  aM15039  [set mun "15039"]      ask turtles with [ mun =  "15039" ] [ move-to one-of patches with [ cvmun = "15039"  ] ]
     let M15046 1 + ( 1  * Variación-de-Personas / 100)       let aM15046  M15046 * Personas-Sin-Medios / 100       create-people-with-means M15046 - aM15046  [set mun "15046" ]        create-people-without-means  aM15046  [set mun "15046"]      ask turtles with [ mun =  "15046" ] [ move-to one-of patches with [ cvmun = "15046"  ] ]
     let M15050 2 + ( 2  * Variación-de-Personas / 100)       let aM15050  M15050 * Personas-Sin-Medios / 100       create-people-with-means M15050 - aM15050  [set mun "15050" ]        create-people-without-means  aM15050  [set mun "15050"]      ask turtles with [ mun =  "15050" ] [ move-to one-of patches with [ cvmun = "15050"  ] ]
     let M15053 5 + ( 5  * Variación-de-Personas / 100)       let aM15053  M15053 * Personas-Sin-Medios / 100       create-people-with-means M15053 - aM15053  [set mun "15053" ]        create-people-without-means  aM15053  [set mun "15053"]      ask turtles with [ mun =  "15053" ] [ move-to one-of patches with [ cvmun = "15053"  ] ]
     let M15057 83 + ( 83  * Variación-de-Personas / 100)       let aM15057  M15057 * Personas-Sin-Medios / 100       create-people-with-means M15057 - aM15057  [set mun "15057" ]        create-people-without-means  aM15057  [set mun "15057"]      ask turtles with [ mun =  "15057" ] [ move-to one-of patches with [ cvmun = "15057"  ] ]
     let M15058 111 + ( 111  * Variación-de-Personas / 100)       let aM15058  M15058 * Personas-Sin-Medios / 100       create-people-with-means M15058 - aM15058  [set mun "15058" ]        create-people-without-means  aM15058  [set mun "15058"]      ask turtles with [ mun =  "15058" ] [ move-to one-of patches with [ cvmun = "15058"  ] ]
     let M15059 3 + ( 3  * Variación-de-Personas / 100)       let aM15059  M15059 * Personas-Sin-Medios / 100       create-people-with-means M15059 - aM15059  [set mun "15059" ]        create-people-without-means  aM15059  [set mun "15059"]      ask turtles with [ mun =  "15059" ] [ move-to one-of patches with [ cvmun = "15059"  ] ]
     let M15060 36 + ( 36  * Variación-de-Personas / 100)       let aM15060  M15060 * Personas-Sin-Medios / 100       create-people-with-means M15060 - aM15060  [set mun "15060" ]        create-people-without-means  aM15060  [set mun "15060"]      ask turtles with [ mun =  "15060" ] [ move-to one-of patches with [ cvmun = "15060"  ] ]
     let M15061 0 + ( 0  * Variación-de-Personas / 100)       let aM15061  M15061 * Personas-Sin-Medios / 100       create-people-with-means M15061 - aM15061  [set mun "15061" ]        create-people-without-means  aM15061  [set mun "15061"]      ask turtles with [ mun =  "15061" ] [ move-to one-of patches with [ cvmun = "15061"  ] ]
     let M15065 3 + ( 3  * Variación-de-Personas / 100)       let aM15065  M15065 * Personas-Sin-Medios / 100       create-people-with-means M15065 - aM15065  [set mun "15065" ]        create-people-without-means  aM15065  [set mun "15065"]      ask turtles with [ mun =  "15065" ] [ move-to one-of patches with [ cvmun = "15065"  ] ]
     let M15068 2 + ( 2  * Variación-de-Personas / 100)       let aM15068  M15068 * Personas-Sin-Medios / 100       create-people-with-means M15068 - aM15068  [set mun "15068" ]        create-people-without-means  aM15068  [set mun "15068"]      ask turtles with [ mun =  "15068" ] [ move-to one-of patches with [ cvmun = "15068"  ] ]
     let M15069 0 + ( 0  * Variación-de-Personas / 100)       let aM15069  M15069 * Personas-Sin-Medios / 100       create-people-with-means M15069 - aM15069  [set mun "15069" ]        create-people-without-means  aM15069  [set mun "15069"]      ask turtles with [ mun =  "15069" ] [ move-to one-of patches with [ cvmun = "15069"  ] ]
     let M15070 25 + ( 25  * Variación-de-Personas / 100)       let aM15070  M15070 * Personas-Sin-Medios / 100       create-people-with-means M15070 - aM15070  [set mun "15070" ]        create-people-without-means  aM15070  [set mun "15070"]      ask turtles with [ mun =  "15070" ] [ move-to one-of patches with [ cvmun = "15070"  ] ]
     let M15075 2 + ( 2  * Variación-de-Personas / 100)       let aM15075  M15075 * Personas-Sin-Medios / 100       create-people-with-means M15075 - aM15075  [set mun "15075" ]        create-people-without-means  aM15075  [set mun "15075"]      ask turtles with [ mun =  "15075" ] [ move-to one-of patches with [ cvmun = "15075"  ] ]
     let M15081 36 + ( 36  * Variación-de-Personas / 100)       let aM15081  M15081 * Personas-Sin-Medios / 100       create-people-with-means M15081 - aM15081  [set mun "15081" ]        create-people-without-means  aM15081  [set mun "15081"]      ask turtles with [ mun =  "15081" ] [ move-to one-of patches with [ cvmun = "15081"  ] ]
     let M15083 1 + ( 1  * Variación-de-Personas / 100)       let aM15083  M15083 * Personas-Sin-Medios / 100       create-people-with-means M15083 - aM15083  [set mun "15083" ]        create-people-without-means  aM15083  [set mun "15083"]      ask turtles with [ mun =  "15083" ] [ move-to one-of patches with [ cvmun = "15083"  ] ]
     let M15084 3 + ( 3  * Variación-de-Personas / 100)       let aM15084  M15084 * Personas-Sin-Medios / 100       create-people-with-means M15084 - aM15084  [set mun "15084" ]        create-people-without-means  aM15084  [set mun "15084"]      ask turtles with [ mun =  "15084" ] [ move-to one-of patches with [ cvmun = "15084"  ] ]
     let M15089 1 + ( 1  * Variación-de-Personas / 100)       let aM15089  M15089 * Personas-Sin-Medios / 100       create-people-with-means M15089 - aM15089  [set mun "15089" ]        create-people-without-means  aM15089  [set mun "15089"]      ask turtles with [ mun =  "15089" ] [ move-to one-of patches with [ cvmun = "15089"  ] ]
     let M15091 6 + ( 6  * Variación-de-Personas / 100)       let aM15091  M15091 * Personas-Sin-Medios / 100       create-people-with-means M15091 - aM15091  [set mun "15091" ]        create-people-without-means  aM15091  [set mun "15091"]      ask turtles with [ mun =  "15091" ] [ move-to one-of patches with [ cvmun = "15091"  ] ]
     let M15092 5 + ( 5  * Variación-de-Personas / 100)       let aM15092  M15092 * Personas-Sin-Medios / 100       create-people-with-means M15092 - aM15092  [set mun "15092" ]        create-people-without-means  aM15092  [set mun "15092"]      ask turtles with [ mun =  "15092" ] [ move-to one-of patches with [ cvmun = "15092"  ] ]
     let M15093 2 + ( 2  * Variación-de-Personas / 100)       let aM15093  M15093 * Personas-Sin-Medios / 100       create-people-with-means M15093 - aM15093  [set mun "15093" ]        create-people-without-means  aM15093  [set mun "15093"]      ask turtles with [ mun =  "15093" ] [ move-to one-of patches with [ cvmun = "15093"  ] ]
     let M15094 1 + ( 1  * Variación-de-Personas / 100)       let aM15094  M15094 * Personas-Sin-Medios / 100       create-people-with-means M15094 - aM15094  [set mun "15094" ]        create-people-without-means  aM15094  [set mun "15094"]      ask turtles with [ mun =  "15094" ] [ move-to one-of patches with [ cvmun = "15094"  ] ]
     let M15095 8 + ( 8  * Variación-de-Personas / 100)       let aM15095  M15095 * Personas-Sin-Medios / 100       create-people-with-means M15095 - aM15095  [set mun "15095" ]        create-people-without-means  aM15095  [set mun "15095"]      ask turtles with [ mun =  "15095" ] [ move-to one-of patches with [ cvmun = "15095"  ] ]
     let M15096 3 + ( 3  * Variación-de-Personas / 100)       let aM15096  M15096 * Personas-Sin-Medios / 100       create-people-with-means M15096 - aM15096  [set mun "15096" ]        create-people-without-means  aM15096  [set mun "15096"]      ask turtles with [ mun =  "15096" ] [ move-to one-of patches with [ cvmun = "15096"  ] ]
     let M15099 23 + ( 23  * Variación-de-Personas / 100)       let aM15099  M15099 * Personas-Sin-Medios / 100       create-people-with-means M15099 - aM15099  [set mun "15099" ]        create-people-without-means  aM15099  [set mun "15099"]      ask turtles with [ mun =  "15099" ] [ move-to one-of patches with [ cvmun = "15099"  ] ]
     let M15100 3 + ( 3  * Variación-de-Personas / 100)       let aM15100  M15100 * Personas-Sin-Medios / 100       create-people-with-means M15100 - aM15100  [set mun "15100" ]        create-people-without-means  aM15100  [set mun "15100"]      ask turtles with [ mun =  "15100" ] [ move-to one-of patches with [ cvmun = "15100"  ] ]
     let M15103 4 + ( 4  * Variación-de-Personas / 100)       let aM15103  M15103 * Personas-Sin-Medios / 100       create-people-with-means M15103 - aM15103  [set mun "15103" ]        create-people-without-means  aM15103  [set mun "15103"]      ask turtles with [ mun =  "15103" ] [ move-to one-of patches with [ cvmun = "15103"  ] ]
     let M15104 66 + ( 66  * Variación-de-Personas / 100)       let aM15104  M15104 * Personas-Sin-Medios / 100       create-people-with-means M15104 - aM15104  [set mun "15104" ]        create-people-without-means  aM15104  [set mun "15104"]      ask turtles with [ mun =  "15104" ] [ move-to one-of patches with [ cvmun = "15104"  ] ]
     let M15108 13 + ( 13  * Variación-de-Personas / 100)       let aM15108  M15108 * Personas-Sin-Medios / 100       create-people-with-means M15108 - aM15108  [set mun "15108" ]        create-people-without-means  aM15108  [set mun "15108"]      ask turtles with [ mun =  "15108" ] [ move-to one-of patches with [ cvmun = "15108"  ] ]
     let M15109 48 + ( 48  * Variación-de-Personas / 100)       let aM15109  M15109 * Personas-Sin-Medios / 100       create-people-with-means M15109 - aM15109  [set mun "15109" ]        create-people-without-means  aM15109  [set mun "15109"]      ask turtles with [ mun =  "15109" ] [ move-to one-of patches with [ cvmun = "15109"  ] ]
     let M15112 4 + ( 4  * Variación-de-Personas / 100)       let aM15112  M15112 * Personas-Sin-Medios / 100       create-people-with-means M15112 - aM15112  [set mun "15112" ]        create-people-without-means  aM15112  [set mun "15112"]      ask turtles with [ mun =  "15112" ] [ move-to one-of patches with [ cvmun = "15112"  ] ]
     let M15120 15 + ( 15  * Variación-de-Personas / 100)       let aM15120  M15120 * Personas-Sin-Medios / 100       create-people-with-means M15120 - aM15120  [set mun "15120" ]        create-people-without-means  aM15120  [set mun "15120"]      ask turtles with [ mun =  "15120" ] [ move-to one-of patches with [ cvmun = "15120"  ] ]
     let M15121 51 + ( 51  * Variación-de-Personas / 100)       let aM15121  M15121 * Personas-Sin-Medios / 100       create-people-with-means M15121 - aM15121  [set mun "15121" ]        create-people-without-means  aM15121  [set mun "15121"]      ask turtles with [ mun =  "15121" ] [ move-to one-of patches with [ cvmun = "15121"  ] ]
     let M15122 35 + ( 35  * Variación-de-Personas / 100)       let aM15122  M15122 * Personas-Sin-Medios / 100       create-people-with-means M15122 - aM15122  [set mun "15122" ]        create-people-without-means  aM15122  [set mun "15122"]      ask turtles with [ mun =  "15122" ] [ move-to one-of patches with [ cvmun = "15122"  ] ]
     let M15125 1 + ( 1  * Variación-de-Personas / 100)       let aM15125  M15125 * Personas-Sin-Medios / 100       create-people-with-means M15125 - aM15125  [set mun "15125" ]        create-people-without-means  aM15125  [set mun "15125"]      ask turtles with [ mun =  "15125" ] [ move-to one-of patches with [ cvmun = "15125"  ] ]
   ;Se le dan atributos a las personas
      ask people-with-means [ set color green
      set size 1.5
      set criminalized false
      set p-to-crime 0
      set wealth floor random-normal (read-from-string Y-Prom + (read-from-string Y-Prom * Variación-Ingreso / 100)) (1357 + (1357 * Variación-Desigualdad / 100))
      set employment true
      ifelse (random 100 <= read-from-string %Male ) [set men true] [set men false]
      ifelse random 100 <= Trabajos-en-Centro-Económico [set emp-in-ec-cent true] [set emp-in-ec-cent false] ;;
      ifelse (random 100 <= read-from-string %HJF + (read-from-string %HJF * (Var-Hogares-con-Jefa-de-Familia / 100))) [set single-parent true] [set single-parent false]
      set anomie random 11
      set house-x xcor
      set house-y ycor
      set transformed? "no"
      set transformed "no" ]
      ask people-without-means [ set color yellow
      set size 1.5
      set p-to-crime 0
      set criminalized false
      set wealth floor random-normal (read-from-string Y-Prom - 1357 + (read-from-string Y-Prom * Variación-Ingreso / 100)) (1357 + (1357 * Variación-Desigualdad / 100))
      set coef-Gini read-from-string Gini
      set anomie random 10
      ifelse random 100 <= ((read-from-string TDesocMun * 10) + (Variación-Tasa-de-Desempleo / 2)) [set unemployment true] [set unemployment false]
      ifelse (random 100 <= read-from-string %HJF + (read-from-string %HJF * (Var-Hogares-con-Jefa-de-Familia / 100))) [set single-parent true] [set single-parent false]                 ;; usar random según dist reales
      ifelse (random 100 <= read-from-string %Male ) [set men true] [set men false]                                                                  ;;  gang-mates?
      ifelse (random 100 <= Absorción-del-Empleo-Informal) [set informality-employment  true] [set informality-employment  false]
      set house-x xcor
      set house-y ycor
      set influenced false ]
      set average-income round mean [wealth] of turtles
      ask turtles [  if random 100 <= read-from-string %GMMA + (read-from-string %GMMA * ((Variación-de-Marginación-Urbana / 2) / 100) ) [ set urban-margination "Muy Alta" ]
      if urban-margination != "Muy Alta" and random 100 <= read-from-string %GMA + (read-from-string %GMA * ((Variación-de-Marginación-Urbana / 2) / 100) ) [ set urban-margination "Alta" ]
      if urban-margination != "Muy Alta" and urban-margination != "Alta" and random 100 <= read-from-string %GMM  [ set urban-margination "Media" ]
      if urban-margination != "Muy Alta" and urban-margination != "Alta" and urban-margination != "Media" and random 100 <= read-from-string %GMB [ set urban-margination "Baja" ]
      if urban-margination != "Muy Alta" and urban-margination != "Alta" and urban-margination != "Media"and urban-margination != "Baja" and random 100 <= read-from-string %GMMA [ set urban-margination "Muy Baja" ]
      if urban-margination != "Muy Alta" and urban-margination != "Alta" and urban-margination != "Media"and urban-margination != "Baja" and urban-margination != "Muy Baja" [ set urban-margination "No-definida" ]
      if wealth <   average-income                                                [set economic-success "no"]
      if wealth >=  average-income          and wealth < (average-income + 500)   [set economic-success 5]
      if wealth >= (average-income + 500)   and wealth < (average-income + 3000)  [set economic-success 6]
      if wealth >= (average-income + 3000)  and wealth < (average-income + 5000)  [set economic-success 7]
      if wealth >= (average-income + 5000)  and wealth < (average-income + 10000) [set economic-success 8]
      if wealth >= (average-income + 10000) and wealth < (average-income + 20000) [set economic-success 9]
      if wealth >= (average-income + 2000)                                      [set economic-success 10]]
      ;Se les asigna una probabilidad para delinquir
      ask people-without-means [  if unemployment = true [set p-to-crime p-to-crime + 5]
      if single-parent = true [set p-to-crime p-to-crime  + 15]
      if wealth < Ingreso-de-Subsistencia [set p-to-crime p-to-crime + 20]
      if unequality > 50 [set p-to-crime p-to-crime + 1] if unequality > 55 [set p-to-crime p-to-crime + 1]
      if unequality > 60 [set p-to-crime p-to-crime + 1] if unequality > 65 [set p-to-crime p-to-crime + 1]
      if unequality > 70 [set p-to-crime p-to-crime + 1] if unequality > 75 [set p-to-crime p-to-crime + 1]
      if unequality > 80 [set p-to-crime p-to-crime + 1] if unequality > 85 [set p-to-crime p-to-crime + 1]
      if unequality > 90 [set p-to-crime p-to-crime + 1] if unequality > 95 [set p-to-crime p-to-crime + 1]
      if unequality > 100 [set p-to-crime p-to-crime + 1]
      if coef-Gini > 40 [set p-to-crime p-to-crime + 15] if coef-Gini > 45 [set p-to-crime p-to-crime + 5]
      if coef-Gini > 50 [set p-to-crime p-to-crime + 5] if coef-Gini > 55 [set p-to-crime p-to-crime + 5]
      if coef-Gini > 60 [set p-to-crime p-to-crime + 5] if coef-Gini > 65 [set p-to-crime p-to-crime + 5]
      if coef-Gini > 70 [set p-to-crime p-to-crime + 5] if coef-Gini > 75 [set p-to-crime p-to-crime + 5]
      if coef-Gini > 80 [set p-to-crime p-to-crime + 5] if coef-Gini > 85 [set p-to-crime p-to-crime + 5]
      if coef-Gini > 90 [set p-to-crime p-to-crime + 5] if coef-Gini > 95 [set p-to-crime p-to-crime + 5]
      if coef-Gini > 100 [set p-to-crime p-to-crime + 5]
      if men = true [set p-to-crime p-to-crime + 5]
      if urban-margination = "Muy-Alta" [set p-to-crime p-to-crime + 15] if urban-margination = "Alta" [set p-to-crime p-to-crime + 10] if urban-margination = "Media" [set p-to-crime p-to-crime + 5]
      if Urban-Density > 10000 [set p-to-crime p-to-crime + 15]
      if anomie >= 8 [set p-to-crime p-to-crime + 25]
      if informality-employment = true [set p-to-crime p-to-crime - 30]
      if p-to-crime >= 50 [set color red ]  ]
      ask people-with-means [ if ( urban-margination = "Muy Alta" or urban-margination = "Alta") and ( economic-success = "no") and ( anomie >= 8 ) [ set transformed? "maybe" ]]
;Reportadores
show word "Total de Personas Sin Medios " count people-without-means
show word "Total de Personas Con Medios " count people-with-means
show word "Ingreso Promedio " round mean [wealth] of turtles
show word "Ingreso Promedio Personas Con Medios " round mean [wealth] of people-with-means
show word "Ingreso Promedio Personas Sin Medios " round mean [wealth] of people-without-means
show word "Porcentaje de Desigualdad " round unequality

end

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;PROCEDIMIENTOS;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; En esta parte se realizan los movimientos de ir a trabajar, ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; regresar a casa, contagio y elaboración de hotsposts ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

to go

  ;Las personas trabajan 5 días a la semana y los otros 2 se divierten, si se encuentran con un ladrón durante estas actividades, hay una probabilidad de que este las asalte
  ifelse random 7 <= 5 [ask people-with-means [ifelse emp-in-ec-cent = true [ (move-to one-of patches with [Cen-Per = 2]) ] [move-to one-of neighbors]  fd 1 ] ask people-without-means [ move-to one-of patches with [ cvmun = [ cvmun ] of myself] ask people-without-means [let nearby-criminal people-without-means in-radius 1 let current-criminal one-of nearby-criminal if (current-criminal != nobody ) [ let nearby-victim [people-with-means in-radius 1] of current-criminal if (count nearby-criminal = 1 ) [ask current-criminal  [ if (p-to-crime >= 50 and random 1000 >= 980 ) [ ask nearby-victim [ set criminalized true  let hx xcor let hy ycor ask patch hx hy [set hotspot hotspot + 1 ] ]  ask current-criminal [set num-of-crimes num-of-crimes + 1 set wealth wealth + (random 11 ) ]  ] ]]]] ]    ask people-with-means [ask people-with-means [if criminalized   [set color black]]]]
                       [ask people-with-means [ move-to one-of patches with [ cvmun = [ cvmun ] of myself]]  ask people-without-means [ move-to one-of patches with [ cvmun = [ cvmun ] of myself]                                                    ask people-without-means [let nearby-criminal people-without-means in-radius 1 let current-criminal one-of nearby-criminal if (current-criminal != nobody ) [ let nearby-victim [people-with-means in-radius 1] of current-criminal if (count nearby-criminal = 1 ) [ask current-criminal  [ if (p-to-crime >= 50 and random 1000 >= 980 ) [ ask nearby-victim [ set criminalized true  let hx xcor let hy ycor ask patch hx hy [set hotspot hotspot + 1 ] ]  ask current-criminal [set num-of-crimes num-of-crimes + 1 set wealth wealth + (random 11 ) ]  ] ]]]] ]    ask people-with-means [ask people-with-means [if criminalized   [set color black]]]]
  tick
  ;Luego las personas regresan a sus casas, si se encuentran con un ladrón durante esta actividad, hay una probabilidad de que este las asalte
  ask people-with-means [setxy house-x house-y ] ask people-without-means [ setxy house-x house-y  move-to one-of patches with [ cvmun = [ cvmun ] of myself] ask people-without-means [let nearby-criminal people-without-means in-radius 1 let current-criminal one-of nearby-criminal if (current-criminal != nobody ) [ let nearby-victim [people-with-means in-radius 1] of current-criminal if (count nearby-criminal = 1 ) [ask current-criminal  [ if (p-to-crime >= 50 and random 1000 >= 980 ) [ ask nearby-victim [ set criminalized true  let hx xcor let hy ycor ask patch hx hy [set hotspot hotspot + 1 ] ]  ask current-criminal [set num-of-crimes num-of-crimes + 1 set wealth wealth + (random 11 ) ]  ] ]]]] ]    ask people-with-means [ask people-with-means [if criminalized   [set color black]]]
  ;Cuando las personas están en sus hogares los criminales pueden contagiar a personas susceptibles
  ask people-without-means [ if wealth <   average-income                 [set economic-success "no"]
 if wealth >=  average-income          and wealth < (average-income + 500)   [set economic-success 5]
 if wealth >= (average-income + 500)   and wealth < (average-income + 3000)  [set economic-success 6]
 if wealth >= (average-income + 3000)  and wealth < (average-income + 5000)  [set economic-success 7]
 if wealth >= (average-income + 5000)  and wealth < (average-income + 10000) [set economic-success 8]
 if wealth >= (average-income + 10000) and wealth < (average-income + 20000) [set economic-success 9]
 if wealth >= (average-income + 20000)                                       [set economic-success 10]]
  ask people-without-means with [anomie < 8 and anomie >= 5] [if any? people-without-means in-radius 5 with [ p-to-crime >= 50 and economic-success = 7 ] [set anomie anomie + 1 set influenced true]
  if any? people-without-means in-radius 5 with [ p-to-crime >= 50 and economic-success = 8 ] [set anomie anomie + 1 set influenced true]
  if any? people-without-means in-radius 5 with [ p-to-crime >= 50 and economic-success = 9 ] [set anomie anomie + 1 set influenced true]]
  ask people-with-means with [ transformed? = "maybe" ] [let successfull-criminal count people-without-means in-radius 5 with [ ( p-to-crime >= 50 ) and ( economic-success = 8 or economic-success = 9 or economic-success = 10) ] if successfull-criminal >= 4 and random 2 = 1 [set transformed "yes"] ]
  ask people-without-means with [ color = yellow ] [ if anomie >= 8 and influenced  = true  [set p-to-crime p-to-crime + 25]]
  ask people-without-means with [color = yellow] [ if p-to-crime >= 50 [set color magenta ]]
  ask people-with-means with [transformed = "yes"] [hatch-people-without-means 1 [set color orange set p-to-crime 50] die]
  tick   if ticks >= 730 [stop]
  ;Y se colorean los hotspots
  if coldspots? [ask patches [set pcolor scale-color sky coldspot 1000 8000 if coldspot = 0 [ set pcolor white ]  ] ]
  if hotspots? [ask patches [if hotspot >= 7500 [ask patches in-radius 2 [set pcolor   15]]
  if hotspot >= 5000 and hotspot < 7500 [ ask patches in-radius 1 with [pcolor != 15] [set pcolor   15.5]]
  if hotspot >= 2500 and hotspot < 5000 [ ask patches in-radius 1 with [pcolor != 15.5 and pcolor != 15] [set pcolor   16]]
  if hotspot >= 1000 and hotspot < 2500 [ ask patches in-radius 1  with [pcolor != 16 and pcolor != 15.5 and pcolor != 15] [set pcolor   17]]
  if hotspot >= 800 and hotspot < 1000 [ ask patches in-radius 1 with [pcolor != 17 and pcolor != 16 and pcolor != 15.5 and pcolor != 15] [set pcolor   47]]
  if hotspot >= 700 and hotspot < 800 [ ask patches in-radius 1 with [ pcolor != 47 and pcolor != 17 and pcolor != 16 and pcolor != 15.5 and pcolor != 15] [set pcolor   46]]]]

end


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; REPORTADORES ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;En esta parte se encuentran los reportadores ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


to show-hotspots ask turtles [ht]                                                                                                                                                                                                                                                          end
to show-persons   ask turtles [st]                                                                                                                                                                                                                                                         end
to-report d-cometidos report   sum [num-of-crimes] of people-without-means                                                                                                                                                                                                                 end
to-report unequality   report abs (  (  (     (sum [wealth] of turtles with [ wealth < average-income ] / count turtles with [ wealth < average-income ]) / (sum [wealth] of turtles with [ wealth > average-income ] / count turtles with [ wealth > average-income ]) ) ) * 100  - 100 ) end
to-report Num-of-Criminals report count turtles with [color = red or color = magenta or color = orange]                                                                                                                                                                                    end
to-report Num-of-Criminals-initial report   count turtles with [color = red ]                                                                                                                                                                                                              end
to-report Num-of-Criminals-without report   count turtles with [color = magenta ]                                                                                                                                                                                                          end
to-report Num-of-Criminals-with report   count turtles with [color = orange]                                                                                                                                                                                                               end

; Copyright 2016 Alejandro Corzo.
; Ver tabla de información para copyright y licencia completos.
@#$#@#$#@
GRAPHICS-WINDOW
257
28
692
484
42
42
5.0
1
10
1
1
1
0
0
0
1
-42
42
-42
42
0
0
1
ticks
30.0

BUTTON
9
34
72
67
NIL
setup
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
85
34
148
67
NIL
go
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

SLIDER
9
76
244
109
Variación-de-Personas
Variación-de-Personas
-100
100
0
1
1
%
HORIZONTAL

SLIDER
8
157
243
190
Variación-Tasa-de-Desempleo
Variación-Tasa-de-Desempleo
-100
100
0
1
1
pts
HORIZONTAL

SLIDER
9
325
244
358
Var-Hogares-con-Jefa-de-Familia
Var-Hogares-con-Jefa-de-Familia
-100
100
0
1
1
pts
HORIZONTAL

SLIDER
8
198
243
231
Variación-Ingreso
Variación-Ingreso
-100
100
0
1
1
%
HORIZONTAL

SLIDER
9
284
244
317
Absorción-del-Empleo-Informal
Absorción-del-Empleo-Informal
0
100
1
1
1
%
HORIZONTAL

SLIDER
9
366
245
399
Trabajos-en-Centro-Económico
Trabajos-en-Centro-Económico
0
100
60
1
1
%
HORIZONTAL

SLIDER
9
116
243
149
Personas-sin-Medios
Personas-sin-Medios
1
99
10
1
1
%
HORIZONTAL

SLIDER
9
242
244
275
Variación-Desigualdad
Variación-Desigualdad
-100
100
0
1
1
%
HORIZONTAL

MONITOR
279
421
349
466
# de delitos
d-cometidos
0
1
11

SLIDER
10
408
245
441
Variación-de-Marginación-Urbana
Variación-de-Marginación-Urbana
-100
100
0
1
1
%
HORIZONTAL

SWITCH
726
28
839
61
Hotspots?
Hotspots?
0
1
-1000

BUTTON
725
64
838
97
Mostrar Hotspots
show-hotspots
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

SWITCH
847
28
961
61
Coldspots?
Coldspots?
0
1
-1000

BUTTON
847
65
961
98
Mostrar Personas
show-persons
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

SLIDER
9
450
245
483
Ingreso-de-Subsistencia
Ingreso-de-Subsistencia
100
10000
2000
100
1
pesos
HORIZONTAL

PLOT
705
102
987
256
Número de criminales
NIL
Criiminales
0.0
0.0
0.0
0.0
true
true
"" ""
PENS
"Totales" 1.0 1 -16777216 true "" "plot count turtles with [ color = red or color = magenta or color = orange]"
"pen-1" 1.0 0 -7500403 false "" "auto-plot-off\nplotxy 0 0\nplotxy 1000000000 0\nauto-plot-on"

PLOT
705
261
987
483
Nuevos criminales
NIL
NIL
0.0
10.0
0.0
10.0
true
true
"" ""
PENS
"Iniciales" 1.0 2 -2674135 true "" "plot count turtles with [ color = red]"
"Sin Medios" 1.0 0 -5825686 true "" "plot count turtles with [ color = magenta]"
"Con Medios" 1.0 0 -955883 true "" "plot count turtles with [ color = orange ]"

MONITOR
913
377
986
422
# Sin Medios
Num-of-Criminals-without
17
1
11

MONITOR
912
424
985
469
# Con Medios
Num-of-Criminals-with
17
1
11

MONITOR
932
119
985
164
Total
Num-of-Criminals
17
1
11

MONITOR
913
330
987
375
# Iniciales
Num-of-Criminals-initial
17
1
11

@#$#@#$#@
## Nombre del Modelo


Modelo de Contagio del Crimen en la ZMVM


## Autor

Javier Alejandro Corzo Tellez
Contacto: a.corzo.t@gmail.com
Twitter: @corzo_t

## ¿Qué es esto?

El objetivo del modelo es analizar los procesos de contagio entre criminales y no criminales, donde el espacio y los propios individuos generan las condiciones dinámicas del problema. Por lo que se considera la influencia de variables económicas (tasa de desempleo, ingreso promedio, desigualdad, monocentrismo, informalidad), sociales (hogares con jefa de familia) y urbanas (densidad urbana, marginación urbana), en  el fenómeno.

## ¿Cómo funciona?

Los individuos realizan sus actividades diarias, si en el transcurso del día se encuentran con un criminal, es probable que sean víctimas de un delito

Supuestos:
Dos ticks equivalen a un día
La población inicial de la ZMVM es de: Población real en 2010 / 10,000.
El 60% de personas trabaja en el centro económico.
La población de dividide en dos clases: 1) Personas con medios; 2) personas sin medios
Las personas sin medios tienen propensión a delinquir según sus condiciones económicas, sociales y urbanas, además de su grado de anomia (variable simulada).
Las personas sin medios inicialmente representan el 10% de la población total.
El desempleo, pertenecer al género masculino, bajo ingreso, desigualdad, marginación urbana alta, vivir en una entidad con mucha gente, venir de una familia con jefa de familia, no poder conseguir un empleo informal, y tener un grado de anomia alto, aumentan la propensión a delinquir de una persona sin medios.
Los trabajadores van al centro económico 5 de cada 7 ticks (días laborables).
El centro económico se compone por las delegaciones: Benito Juárez, Cuauhtémoc, Miguel Hidalgo y Coyoacán.
Los empleados en el centro económico, en un día laborable (2 ticks) sólo van al trabajo y regresan a sus casas.
Los fines de semana las personas van a un lugar cercano a distraerse.
Los empleados que no trabajan en el centro económico, trabajan en su misma demarcación.
Las personas desempleadas pertenecen a la población sin medios.
Si una persona sin medios y con marginación urbana y socioeconómica percibe que un criminal cercano consigue el éxito económico mediante el crimen, hay probabilidad que la primera se transforme en criminal.
Si una persona con medios con marginación urbana y socioeconómica percibe que un criminal cercano consigue el éxito económico mediante el crimen, hay probabilidad que la primera se transforme en criminal.


## ¿Cómo usarlo?

Los deslizadores aumentan/disminuyen los valores originales (recuperados del censo económico 2010).

## Cosas que hay que notar

El modelo puede elaboral hotspots criminales, es decir puede mostrar de una forma gráfica, los lugares en donde se cometen más crímenes (donde lugares con alta criminalidad van de rojo a amarillo y con baja criminalidad se muestran como azules).

## Cosas para intentar

Mover los deslizadores socioeconómicos y urbanos para ver cómo alteran el número de criminales, el número de delitos y el tamaño de los hotspots.

## Formas de extender el modelo

Se puede considerar la formación de crimen organizado y/o la presencia de policias.

## Modelos relacionados

Amrutha (2012) "Robbery-with-qlearn" Disponible en: http://ccl.northwestern.edu/netlogo/models/community/Robbery-with-qlearn

## Copyrigh y Licencia

![CC BY-NC-SA 4.0](https://i.creativecommons.org/l/by-nc-sa/4.0/88x31.png)

Modelo de Contagio del Crimen en la ZMVM por Javier Alejandro Corzo Tellez

Esta obra está licenciada bajo la Licencia Creative Commons Atribución-NoComercial-CompartirIgual 4.0 Internacional. Para ver una copia de esta licencia, visita http://creativecommons.org/licenses/by-nc-sa/4.0/.
@#$#@#$#@
default
true
0
Polygon -7500403 true true 150 5 40 250 150 205 260 250

airplane
true
0
Polygon -7500403 true true 150 0 135 15 120 60 120 105 15 165 15 195 120 180 135 240 105 270 120 285 150 270 180 285 210 270 165 240 180 180 285 195 285 165 180 105 180 60 165 15

arrow
true
0
Polygon -7500403 true true 150 0 0 150 105 150 105 293 195 293 195 150 300 150

box
false
0
Polygon -7500403 true true 150 285 285 225 285 75 150 135
Polygon -7500403 true true 150 135 15 75 150 15 285 75
Polygon -7500403 true true 15 75 15 225 150 285 150 135
Line -16777216 false 150 285 150 135
Line -16777216 false 150 135 15 75
Line -16777216 false 150 135 285 75

bug
true
0
Circle -7500403 true true 96 182 108
Circle -7500403 true true 110 127 80
Circle -7500403 true true 110 75 80
Line -7500403 true 150 100 80 30
Line -7500403 true 150 100 220 30

butterfly
true
0
Polygon -7500403 true true 150 165 209 199 225 225 225 255 195 270 165 255 150 240
Polygon -7500403 true true 150 165 89 198 75 225 75 255 105 270 135 255 150 240
Polygon -7500403 true true 139 148 100 105 55 90 25 90 10 105 10 135 25 180 40 195 85 194 139 163
Polygon -7500403 true true 162 150 200 105 245 90 275 90 290 105 290 135 275 180 260 195 215 195 162 165
Polygon -16777216 true false 150 255 135 225 120 150 135 120 150 105 165 120 180 150 165 225
Circle -16777216 true false 135 90 30
Line -16777216 false 150 105 195 60
Line -16777216 false 150 105 105 60

car
false
0
Polygon -7500403 true true 300 180 279 164 261 144 240 135 226 132 213 106 203 84 185 63 159 50 135 50 75 60 0 150 0 165 0 225 300 225 300 180
Circle -16777216 true false 180 180 90
Circle -16777216 true false 30 180 90
Polygon -16777216 true false 162 80 132 78 134 135 209 135 194 105 189 96 180 89
Circle -7500403 true true 47 195 58
Circle -7500403 true true 195 195 58

circle
false
0
Circle -7500403 true true 0 0 300

circle 2
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240

cow
false
0
Polygon -7500403 true true 200 193 197 249 179 249 177 196 166 187 140 189 93 191 78 179 72 211 49 209 48 181 37 149 25 120 25 89 45 72 103 84 179 75 198 76 252 64 272 81 293 103 285 121 255 121 242 118 224 167
Polygon -7500403 true true 73 210 86 251 62 249 48 208
Polygon -7500403 true true 25 114 16 195 9 204 23 213 25 200 39 123

cylinder
false
0
Circle -7500403 true true 0 0 300

dot
false
0
Circle -7500403 true true 90 90 120

face happy
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 255 90 239 62 213 47 191 67 179 90 203 109 218 150 225 192 218 210 203 227 181 251 194 236 217 212 240

face neutral
false
0
Circle -7500403 true true 8 7 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Rectangle -16777216 true false 60 195 240 225

face sad
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 168 90 184 62 210 47 232 67 244 90 220 109 205 150 198 192 205 210 220 227 242 251 229 236 206 212 183

fish
false
0
Polygon -1 true false 44 131 21 87 15 86 0 120 15 150 0 180 13 214 20 212 45 166
Polygon -1 true false 135 195 119 235 95 218 76 210 46 204 60 165
Polygon -1 true false 75 45 83 77 71 103 86 114 166 78 135 60
Polygon -7500403 true true 30 136 151 77 226 81 280 119 292 146 292 160 287 170 270 195 195 210 151 212 30 166
Circle -16777216 true false 215 106 30

flag
false
0
Rectangle -7500403 true true 60 15 75 300
Polygon -7500403 true true 90 150 270 90 90 30
Line -7500403 true 75 135 90 135
Line -7500403 true 75 45 90 45

flower
false
0
Polygon -10899396 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 85 132 38
Circle -7500403 true true 130 147 38
Circle -7500403 true true 192 85 38
Circle -7500403 true true 85 40 38
Circle -7500403 true true 177 40 38
Circle -7500403 true true 177 132 38
Circle -7500403 true true 70 85 38
Circle -7500403 true true 130 25 38
Circle -7500403 true true 96 51 108
Circle -16777216 true false 113 68 74
Polygon -10899396 true false 189 233 219 188 249 173 279 188 234 218
Polygon -10899396 true false 180 255 150 210 105 210 75 240 135 240

house
false
0
Rectangle -7500403 true true 45 120 255 285
Rectangle -16777216 true false 120 210 180 285
Polygon -7500403 true true 15 120 150 15 285 120
Line -16777216 false 30 120 270 120

leaf
false
0
Polygon -7500403 true true 150 210 135 195 120 210 60 210 30 195 60 180 60 165 15 135 30 120 15 105 40 104 45 90 60 90 90 105 105 120 120 120 105 60 120 60 135 30 150 15 165 30 180 60 195 60 180 120 195 120 210 105 240 90 255 90 263 104 285 105 270 120 285 135 240 165 240 180 270 195 240 210 180 210 165 195
Polygon -7500403 true true 135 195 135 240 120 255 105 255 105 285 135 285 165 240 165 195

line
true
0
Line -7500403 true 150 0 150 300

line half
true
0
Line -7500403 true 150 0 150 150

pentagon
false
0
Polygon -7500403 true true 150 15 15 120 60 285 240 285 285 120

person
false
0
Circle -7500403 true true 110 5 80
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 195 90 240 150 225 180 165 105
Polygon -7500403 true true 105 90 60 150 75 180 135 105

person business
false
0
Rectangle -1 true false 120 90 180 180
Polygon -13345367 true false 135 90 150 105 135 180 150 195 165 180 150 105 165 90
Polygon -7500403 true true 120 90 105 90 60 195 90 210 116 154 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 183 153 210 210 240 195 195 90 180 90 150 165
Circle -7500403 true true 110 5 80
Rectangle -7500403 true true 127 76 172 91
Line -16777216 false 172 90 161 94
Line -16777216 false 128 90 139 94
Polygon -13345367 true false 195 225 195 300 270 270 270 195
Rectangle -13791810 true false 180 225 195 300
Polygon -14835848 true false 180 226 195 226 270 196 255 196
Polygon -13345367 true false 209 202 209 216 244 202 243 188
Line -16777216 false 180 90 150 165
Line -16777216 false 120 90 150 165

person lumberjack
false
0
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Polygon -2674135 true false 60 196 90 211 114 155 120 196 180 196 187 158 210 211 240 196 195 91 165 91 150 106 150 135 135 91 105 91
Circle -7500403 true true 110 5 80
Rectangle -7500403 true true 127 79 172 94
Polygon -6459832 true false 174 90 181 90 180 195 165 195
Polygon -13345367 true false 180 195 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285
Polygon -6459832 true false 126 90 119 90 120 195 135 195
Rectangle -6459832 true false 45 180 255 195
Polygon -16777216 true false 255 165 255 195 240 225 255 240 285 240 300 225 285 195 285 165
Line -16777216 false 135 165 165 165
Line -16777216 false 135 135 165 135
Line -16777216 false 90 135 120 135
Line -16777216 false 105 120 120 120
Line -16777216 false 180 120 195 120
Line -16777216 false 180 135 210 135
Line -16777216 false 90 150 105 165
Line -16777216 false 225 165 210 180
Line -16777216 false 75 165 90 180
Line -16777216 false 210 150 195 165
Line -16777216 false 180 105 210 180
Line -16777216 false 120 105 90 180
Line -16777216 false 150 135 150 165
Polygon -2674135 true false 100 30 104 44 189 24 185 10 173 10 166 1 138 -1 111 3 109 28

person service
false
0
Polygon -7500403 true true 180 195 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285
Polygon -1 true false 120 90 105 90 60 195 90 210 120 150 120 195 180 195 180 150 210 210 240 195 195 90 180 90 165 105 150 165 135 105 120 90
Polygon -1 true false 123 90 149 141 177 90
Rectangle -7500403 true true 123 76 176 92
Circle -7500403 true true 110 5 80
Line -13345367 false 121 90 194 90
Line -16777216 false 148 143 150 196
Rectangle -16777216 true false 116 186 182 198
Circle -1 true false 152 143 9
Circle -1 true false 152 166 9
Rectangle -16777216 true false 179 164 183 186
Polygon -2674135 true false 180 90 195 90 183 160 180 195 150 195 150 135 180 90
Polygon -2674135 true false 120 90 105 90 114 161 120 195 150 195 150 135 120 90
Polygon -2674135 true false 155 91 128 77 128 101
Rectangle -16777216 true false 118 129 141 140
Polygon -2674135 true false 145 91 172 77 172 101

plant
false
0
Rectangle -7500403 true true 135 90 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 105 90 60 45 45 75 105 135 135
Polygon -7500403 true true 165 105 165 135 225 105 255 45 210 60
Polygon -7500403 true true 135 90 120 45 150 15 180 45 165 90

sheep
false
15
Circle -1 true true 203 65 88
Circle -1 true true 70 65 162
Circle -1 true true 150 105 120
Polygon -7500403 true false 218 120 240 165 255 165 278 120
Circle -7500403 true false 214 72 67
Rectangle -1 true true 164 223 179 298
Polygon -1 true true 45 285 30 285 30 240 15 195 45 210
Circle -1 true true 3 83 150
Rectangle -1 true true 65 221 80 296
Polygon -1 true true 195 285 210 285 210 240 240 210 195 210
Polygon -7500403 true false 276 85 285 105 302 99 294 83
Polygon -7500403 true false 219 85 210 105 193 99 201 83

square
false
0
Rectangle -7500403 true true 30 30 270 270

square 2
false
0
Rectangle -7500403 true true 30 30 270 270
Rectangle -16777216 true false 60 60 240 240

star
false
0
Polygon -7500403 true true 151 1 185 108 298 108 207 175 242 282 151 216 59 282 94 175 3 108 116 108

target
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240
Circle -7500403 true true 60 60 180
Circle -16777216 true false 90 90 120
Circle -7500403 true true 120 120 60

tree
false
0
Circle -7500403 true true 118 3 94
Rectangle -6459832 true false 120 195 180 300
Circle -7500403 true true 65 21 108
Circle -7500403 true true 116 41 127
Circle -7500403 true true 45 90 120
Circle -7500403 true true 104 74 152

triangle
false
0
Polygon -7500403 true true 150 30 15 255 285 255

triangle 2
false
0
Polygon -7500403 true true 150 30 15 255 285 255
Polygon -16777216 true false 151 99 225 223 75 224

truck
false
0
Rectangle -7500403 true true 4 45 195 187
Polygon -7500403 true true 296 193 296 150 259 134 244 104 208 104 207 194
Rectangle -1 true false 195 60 195 105
Polygon -16777216 true false 238 112 252 141 219 141 218 112
Circle -16777216 true false 234 174 42
Rectangle -7500403 true true 181 185 214 194
Circle -16777216 true false 144 174 42
Circle -16777216 true false 24 174 42
Circle -7500403 false true 24 174 42
Circle -7500403 false true 144 174 42
Circle -7500403 false true 234 174 42

turtle
true
0
Polygon -10899396 true false 215 204 240 233 246 254 228 266 215 252 193 210
Polygon -10899396 true false 195 90 225 75 245 75 260 89 269 108 261 124 240 105 225 105 210 105
Polygon -10899396 true false 105 90 75 75 55 75 40 89 31 108 39 124 60 105 75 105 90 105
Polygon -10899396 true false 132 85 134 64 107 51 108 17 150 2 192 18 192 52 169 65 172 87
Polygon -10899396 true false 85 204 60 233 54 254 72 266 85 252 107 210
Polygon -7500403 true true 119 75 179 75 209 101 224 135 220 225 175 261 128 261 81 224 74 135 88 99

wheel
false
0
Circle -7500403 true true 3 3 294
Circle -16777216 true false 30 30 240
Line -7500403 true 150 285 150 15
Line -7500403 true 15 150 285 150
Circle -7500403 true true 120 120 60
Line -7500403 true 216 40 79 269
Line -7500403 true 40 84 269 221
Line -7500403 true 40 216 269 79
Line -7500403 true 84 40 221 269

wolf
false
0
Polygon -16777216 true false 253 133 245 131 245 133
Polygon -7500403 true true 2 194 13 197 30 191 38 193 38 205 20 226 20 257 27 265 38 266 40 260 31 253 31 230 60 206 68 198 75 209 66 228 65 243 82 261 84 268 100 267 103 261 77 239 79 231 100 207 98 196 119 201 143 202 160 195 166 210 172 213 173 238 167 251 160 248 154 265 169 264 178 247 186 240 198 260 200 271 217 271 219 262 207 258 195 230 192 198 210 184 227 164 242 144 259 145 284 151 277 141 293 140 299 134 297 127 273 119 270 105
Polygon -7500403 true true -1 195 14 180 36 166 40 153 53 140 82 131 134 133 159 126 188 115 227 108 236 102 238 98 268 86 269 92 281 87 269 103 269 113

x
false
0
Polygon -7500403 true true 270 75 225 30 30 225 75 270
Polygon -7500403 true true 30 75 75 30 270 225 225 270

@#$#@#$#@
NetLogo 5.3.1
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
default
0.0
-0.2 0 0.0 1.0
0.0 1 1.0 0.0
0.2 0 0.0 1.0
link direction
true
0
Line -7500403 true 150 150 90 180
Line -7500403 true 150 150 210 180

@#$#@#$#@
0
@#$#@#$#@
